Bug 114663 - [NEW PORT] security/shibboleth-sp: C++ Shibboleth Service Provider (Internet2) for Apache
Summary: [NEW PORT] security/shibboleth-sp: C++ Shibboleth Service Provider (Internet2...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-17 17:00 UTC by Janos Mohacsi
Modified: 2007-08-04 00:30 UTC (History)
0 users

See Also:


Attachments
shibboleth-sp-1.3f.shar (8.76 KB, text/plain)
2007-07-17 17:00 UTC, Janos Mohacsi
no flags Details
shibboleth-sp.shar (10.46 KB, TEXT/PLAIN; charset=US-ASCII)
2007-07-26 19:05 UTC, Mohacsi Janos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janos Mohacsi 2007-07-17 17:00:09 UTC
Shibboleth is standards-based, open source middleware software which
provides Web Single SignOn (SSO) across or within organizational
boundaries. It allows sites to make informed authorization decisions
for individual access of protected online resources in a
privacy-preserving manner.

This software is a C++ implementation of the Service Provider
component of the Shibboleth can be used in Apache Web servers.  The
service provider manages secured resources. User access to resources
is based on assertions received by the service provider (SP) from
an identity provider.

WWW:	http://shibboleth.internet2.edu/

Generated with FreeBSD Port Tools 0.77
Comment 1 Mohacsi Janos 2007-07-26 19:05:39 UTC
Here I send new shar for shibboleth service provider:
- fixing USE_LDCONFIG typo in Makefile.
- fixing var usage - using /var instead of /usr/local/var
- fixing shibboleth socket usage in rc files.

Regards,
 	Janos Mohacsi
Comment 2 Pav Lucistnik freebsd_committer 2007-08-03 22:41:22 UTC
State Changed
From-To: open->closed

New port added with modifications.
Comment 3 dfilter service freebsd_committer 2007-08-04 00:21:32 UTC
pav         2007-08-03 23:21:26 UTC

  FreeBSD ports repository

  Modified files:
    security             Makefile 
  Added files:
    security/shibboleth-sp Makefile distinfo pkg-descr pkg-plist 
    security/shibboleth-sp/files 
                                 patch-shib-target_shib-handlers.cpp 
                                 shibboleth-sp.in 
  Log:
  Shibboleth is standards-based, open source middleware software which
  provides Web Single SignOn (SSO) across or within organizational
  boundaries. It allows sites to make informed authorization decisions
  for individual access of protected online resources in a
  privacy-preserving manner.
  
  This software is a C++ implementation of the Service Provider
  component of the Shibboleth can be used in Apache Web servers.  The
  service provider manages secured resources. User access to resources
  is based on assertions received by the service provider (SP) from
  an identity provider.
  
  WWW:    http://shibboleth.internet2.edu/
  
  PR:             ports/114663
  Submitted by:   Janos Mohacsi <janos.mohacsi@bsd.hu>
  
  Revision  Changes    Path
  1.908     +1 -0      ports/security/Makefile
  1.1       +41 -0     ports/security/shibboleth-sp/Makefile (new)
  1.1       +3 -0      ports/security/shibboleth-sp/distinfo (new)
  1.1       +16 -0     ports/security/shibboleth-sp/files/patch-shib-target_shib-handlers.cpp (new)
  1.1       +20 -0     ports/security/shibboleth-sp/files/shibboleth-sp.in (new)
  1.1       +13 -0     ports/security/shibboleth-sp/pkg-descr (new)
  1.1       +103 -0    ports/security/shibboleth-sp/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"